Subject: Re: bug#41779: Fall back between vc-diff and diff-backup

From: Dmitry Gutov <[email-masked]>
Date: Wed, 10 Jun 2020 22:05:35 +0300

On 10.06.2020 02:35, Juri Linkov wrote:
>   Therefore, this patch to the rescue:

Considering that 'M-=' is not a default binding, and diff-backup doesn't 
have one, how about creating a new command? You could just as well bind 
it to 'M-='.

The command could be called 'diff-dwim'. Or 'diff-vc-or-backup'.

Regarding the proposed patch, I'm somewhat uneasy making 'vc-diff' (the 
command which purpose is to compare edits against the "saved" snapshot 
in version control) diff against the backup (lifetime of which is very 
unclear to me). Or vice versa.